Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class RichActionWidgetFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RichActionWidgetFactory

    class RichActionWidgetFactory
    extends AbstractFactory

Authors:
  shemnon

Property Summary
`static Class` | `ACTION_ARGS`
`static Class` | `ICON_ARGS`
`static Class` | `STRING_ARGS`
`Constructor` | `actionCtor`
`Constructor` | `iconCtor`
`Class` | `klass`
`Constructor` | `stringCtor`

Constructor Summary
`RichActionWidgetFactory(Class klass)`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### ACTION_ARGS

    static final Class ACTION_ARGS

### ICON_ARGS

    static final Class ICON_ARGS

### STRING_ARGS

    static final Class STRING_ARGS

### actionCtor

    final Constructor actionCtor

### iconCtor

    final Constructor iconCtor

### klass

    final Class klass

### stringCtor

    final Constructor stringCtor

Constructor Detail

### RichActionWidgetFactory

    RichActionWidgetFactory(Class klass)

Method Detail

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.